Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class NaturalId

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.NaturalId

    class NaturalId

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`boolean` | `mutable`
`java.util.List` | `propertyNames`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### mutable

    boolean mutable

### propertyNames

    java.util.List propertyNames

Groovy Documentation